Bug 234762 - I can not turn on my machine with keyboard after hibernate
I can not turn on my machine with keyboard after hibernate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
: Reopened
Depends On:
Blocks: 489649
  Show dependency treegraph
 
Reported: 2007-04-01 13:29 EDT by Gábor
Modified: 2009-07-14 13:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 489649 (view as bug list)
Environment:
Last Closed: 2009-07-14 13:05:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gábor 2007-04-01 13:29:55 EDT
Description of problem:
After hibernating the machine can not be turned on with keyboard, only with the
power button. (when i do a poweroff it works fine)

Version-Release number of selected component (if applicable):

kernel-2.6.20-1.3036.fc7.src.rpm

How reproducible:
always

Steps to Reproduce:
1.hibernate
2.try to power on with keyboard
3.
  
Actual results:
nothing

Expected results:
power on

Additional info:

proc: AMD Athlon(tm) 64 Processor 3000+
motherboard: Asus A8N-E

/sbin/lspci
00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
00:01.0 ISA bridge: nVidia Corporation CK804 ISA Bridge (rev a3)
00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a3)
00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio
Controller (rev a2)
00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev f2)
00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev a2)
00:0a.0 Bridge: nVidia Corporation CK804 Ethernet Controller (rev a3)
00:0b.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0c.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0d.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:00.0 VGA compatible controller: ATI Technologies Inc RV380 [Radeon X600 (PCIE)]
01:00.1 Display controller: ATI Technologies Inc RV380 [Radeon X600]
05:06.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
Comment 1 Dave Jones 2007-04-23 13:04:08 EDT
hibernate will power the machine off completely, unlike 'suspend'.
Even then, it will only wake up if you configure it to do so in your bios.
/proc/acpi/wakeup will show all the possible events it will respond to whilst in
suspend to ram.

Suspend to disk however is not possible to wakeup from without the power button,
or wake on lan.
Comment 2 Gábor 2007-04-24 03:26:10 EDT
(In reply to comment #1)
> hibernate will power the machine off completely, unlike 'suspend'.
yes i know, but i did not mentioned suspend. I said after poweroff (which powers
off the machine completly) i can turn on the machine with keyboard.

> Suspend to disk however is not possible to wakeup from without the power button,
> or wake on lan.
Bios settings: power on on keyboard, after poweroff it works fine after
hibernate it is not.


Comment 3 Dave Jones 2007-04-24 11:31:42 EDT
huh, I've never seen any machine do that.  I have no idea.
At a guess it's some ACPI defect, but I can't imagine what it could be.
Mailing the acpi developers upstream (acpi-devel@vger.kernel.org) is probably
your best bet.
Comment 4 Richard Hughes 2007-05-24 07:46:44 EDT
(In reply to comment #3)
> huh, I've never seen any machine do that.  I have no idea.

Me neither. Oddball hardware IMO.

Richard.
Comment 5 Till Maas 2008-01-13 11:19:01 EST
I just wanted to file a similiar bug, I have a Pentium III that suspends and
hibernates hapily, but does not wake up from hibernate (and suspend). When I
hibernate with "shutdown" instead of "platform", it will wake up from hibernate
when it get's its wol packet.

cat /proc/acpi/wakeup shows disabled for everything. Is there a way to enable it? 
Comment 6 Bug Zapper 2008-05-13 22:43:11 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 18:31:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:05:50 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.